Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.nsri
Interface NSRIObjectIdentifiers

public interface NSRIObjectIdentifiers

Field Summary
`static ASN1ObjectIdentifier` | `id_algorithm`
`static ASN1ObjectIdentifier` | `id_aria128_cbc`
`static ASN1ObjectIdentifier` | `id_aria128_ccm`
`static ASN1ObjectIdentifier` | `id_aria128_cfb`
`static ASN1ObjectIdentifier` | `id_aria128_cmac`
`static ASN1ObjectIdentifier` | `id_aria128_ctr`
`static ASN1ObjectIdentifier` | `id_aria128_ecb`
`static ASN1ObjectIdentifier` | `id_aria128_gcm`
`static ASN1ObjectIdentifier` | `id_aria128_kw`
`static ASN1ObjectIdentifier` | `id_aria128_kwp`
`static ASN1ObjectIdentifier` | `id_aria128_ocb2`
`static ASN1ObjectIdentifier` | `id_aria128_ofb`
`static ASN1ObjectIdentifier` | `id_aria192_cbc`
`static ASN1ObjectIdentifier` | `id_aria192_ccm`
`static ASN1ObjectIdentifier` | `id_aria192_cfb`
`static ASN1ObjectIdentifier` | `id_aria192_cmac`
`static ASN1ObjectIdentifier` | `id_aria192_ctr`
`static ASN1ObjectIdentifier` | `id_aria192_ecb`
`static ASN1ObjectIdentifier` | `id_aria192_gcm`
`static ASN1ObjectIdentifier` | `id_aria192_kw`
`static ASN1ObjectIdentifier` | `id_aria192_kwp`
`static ASN1ObjectIdentifier` | `id_aria192_ocb2`
`static ASN1ObjectIdentifier` | `id_aria192_ofb`
`static ASN1ObjectIdentifier` | `id_aria256_cbc`
`static ASN1ObjectIdentifier` | `id_aria256_ccm`
`static ASN1ObjectIdentifier` | `id_aria256_cfb`
`static ASN1ObjectIdentifier` | `id_aria256_cmac`
`static ASN1ObjectIdentifier` | `id_aria256_ctr`
`static ASN1ObjectIdentifier` | `id_aria256_ecb`
`static ASN1ObjectIdentifier` | `id_aria256_gcm`
`static ASN1ObjectIdentifier` | `id_aria256_kw`
`static ASN1ObjectIdentifier` | `id_aria256_kwp`
`static ASN1ObjectIdentifier` | `id_aria256_ocb2`
`static ASN1ObjectIdentifier` | `id_aria256_ofb`
`static ASN1ObjectIdentifier` | `id_pad`
`static ASN1ObjectIdentifier` | `id_pad_1`
`static ASN1ObjectIdentifier` | `id_pad_null`
`static ASN1ObjectIdentifier` | `id_sea`
`static ASN1ObjectIdentifier` | `nsri`

Field Detail

### nsri

    public static final ASN1ObjectIdentifier nsri

### id_algorithm

    public static final ASN1ObjectIdentifier id_algorithm

### id_sea

    public static final ASN1ObjectIdentifier id_sea

### id_pad

    public static final ASN1ObjectIdentifier id_pad

### id_pad_null

    public static final ASN1ObjectIdentifier id_pad_null

### id_pad_1

    public static final ASN1ObjectIdentifier id_pad_1

### id_aria128_ecb

    public static final ASN1ObjectIdentifier id_aria128_ecb

### id_aria128_cbc

    public static final ASN1ObjectIdentifier id_aria128_cbc

### id_aria128_cfb

    public static final ASN1ObjectIdentifier id_aria128_cfb

### id_aria128_ofb

    public static final ASN1ObjectIdentifier id_aria128_ofb

### id_aria128_ctr

    public static final ASN1ObjectIdentifier id_aria128_ctr

### id_aria192_ecb

    public static final ASN1ObjectIdentifier id_aria192_ecb

### id_aria192_cbc

    public static final ASN1ObjectIdentifier id_aria192_cbc

### id_aria192_cfb

    public static final ASN1ObjectIdentifier id_aria192_cfb

### id_aria192_ofb

    public static final ASN1ObjectIdentifier id_aria192_ofb

### id_aria192_ctr

    public static final ASN1ObjectIdentifier id_aria192_ctr

### id_aria256_ecb

    public static final ASN1ObjectIdentifier id_aria256_ecb

### id_aria256_cbc

    public static final ASN1ObjectIdentifier id_aria256_cbc

### id_aria256_cfb

    public static final ASN1ObjectIdentifier id_aria256_cfb

### id_aria256_ofb

    public static final ASN1ObjectIdentifier id_aria256_ofb

### id_aria256_ctr

    public static final ASN1ObjectIdentifier id_aria256_ctr

### id_aria128_cmac

    public static final ASN1ObjectIdentifier id_aria128_cmac

### id_aria192_cmac

    public static final ASN1ObjectIdentifier id_aria192_cmac

### id_aria256_cmac

    public static final ASN1ObjectIdentifier id_aria256_cmac

### id_aria128_ocb2

    public static final ASN1ObjectIdentifier id_aria128_ocb2

### id_aria192_ocb2

    public static final ASN1ObjectIdentifier id_aria192_ocb2

### id_aria256_ocb2

    public static final ASN1ObjectIdentifier id_aria256_ocb2

### id_aria128_gcm

    public static final ASN1ObjectIdentifier id_aria128_gcm

### id_aria192_gcm

    public static final ASN1ObjectIdentifier id_aria192_gcm

### id_aria256_gcm

    public static final ASN1ObjectIdentifier id_aria256_gcm

### id_aria128_ccm

    public static final ASN1ObjectIdentifier id_aria128_ccm

### id_aria192_ccm

    public static final ASN1ObjectIdentifier id_aria192_ccm

### id_aria256_ccm

    public static final ASN1ObjectIdentifier id_aria256_ccm

### id_aria128_kw

    public static final ASN1ObjectIdentifier id_aria128_kw

### id_aria192_kw

    public static final ASN1ObjectIdentifier id_aria192_kw

### id_aria256_kw

    public static final ASN1ObjectIdentifier id_aria256_kw

### id_aria128_kwp

    public static final ASN1ObjectIdentifier id_aria128_kwp

### id_aria192_kwp

    public static final ASN1ObjectIdentifier id_aria192_kwp

### id_aria256_kwp

    public static final ASN1ObjectIdentifier id_aria256_kwp

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD